AtomType
Date: 2019-10-22

org.jmol.minimize.forcefield

## Class AtomType

- java.lang.Object
- - org.jmol.minimize.forcefield.AtomType

-     public class AtomType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `arom`
    `(package private) java.lang.String` | `descr`
    `(package private) int` | `elemNo`
    `(package private) float` | `fcadj`
    `(package private) float` | `formalCharge`
    `(package private) int` | `hType`
    `(package private) int` | `mltb`
    `(package private) int` | `mmType`
    `(package private) boolean` | `pilp`
    `(package private) boolean` | `sbmb`
    `(package private) java.lang.String` | `smartsCode`
    `(package private) int` | `val`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomType(int elemNo, int mmType, int hType, float formalCharge, int val, java.lang.String descr, java.lang.String smartsCode)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elemNo

          int elemNo

    - #### descr

          java.lang.String descr

    - #### smartsCode

          java.lang.String smartsCode

    - #### mmType

          int mmType

    - #### hType

          int hType

    - #### formalCharge

          float formalCharge

    - #### fcadj

          float fcadj

    - #### sbmb

          boolean sbmb

    - #### arom

          boolean arom

    - #### pilp

          boolean pilp

    - #### mltb

          int mltb

    - #### val

          int val

  - ### Constructor Detail

    - #### AtomType

          AtomType(int elemNo,
                   int mmType,
                   int hType,
                   float formalCharge,
                   int val,
                   java.lang.String descr,
                   java.lang.String smartsCode)